Loading...
Searching...
No Matches
baseplotwidget.h File Reference
`#include <memory>`
`#include <QObject>`
`#include <QString>`
`#include <QWidget>`
`#include <QBrush>`
`#include <QColor>`
`#include <QVector>`
`#include <qcustomplot.h>`
`#include "../../exportinmportconfig.h"`
`#include "../../types.h"`
`#include "../../processing/combiners/selectionpolygon.h"`
`#include "baseplotcontext.h"`

Go to the source code of this file.

## Classes

class | pappso::BasePlotWidget

## Namespaces

namespace | pappso
| tries to keep as much as possible monoisotopes, removing any possible C13 peaks and changes multicharge peaks to monocharge

## Typedefs

typedef std::shared_ptr< BasePlotWidget > | pappso::BasePlotWidgetSPtr
typedef std::shared_ptr< const BasePlotWidget > | pappso::BasePlotWidgetCstSPtr

## Enumerations

enum class | pappso::SelectionDrawingLines { pappso::NOT_SET = 0x0000 , pappso::TOP_LINE = 1 << 0 , pappso::BOTTOM_LINE = 1 << 1 , pappso::HORIZONTAL_LINES = (TOP_LINE | BOTTOM_LINE) , pappso::RIGHT_LINE = 1 << 2 , pappso::LEFT_LINE = 1 << 3 , pappso::VERTICAL_LINES = (RIGHT_LINE | LEFT_LINE) , pappso::FULL_POLYGON = (HORIZONTAL_LINES | VERTICAL_LINES) }
enum class | pappso::RangeType { pappso::outermost = 1 , pappso::innermost = 2 }

## Functions

| Q_DECLARE_METATYPE (pappso::BasePlotContext)
| Q_DECLARE_METATYPE (pappso::BasePlotContext *)

## Variables

int | basePlotContextMetaTypeId
int | basePlotContextPtrMetaTypeId

## Function Documentation

## Q_DECLARE_METATYPE() [1/2]

Q_DECLARE_METATYPE | ( | pappso::BasePlotContext * |  | ) |

## Q_DECLARE_METATYPE() [2/2]

Q_DECLARE_METATYPE | ( | pappso::BasePlotContext |  | ) |

## Variable Documentation

## basePlotContextMetaTypeId

int basePlotContextMetaTypeId

extern

Definition at line 42 of file baseplotwidget.cpp.

## basePlotContextPtrMetaTypeId

int basePlotContextPtrMetaTypeId

extern

Definition at line 44 of file baseplotwidget.cpp.